Set the chunk size for future file writes
PUT
/v1/disks/{disk}/configPUT
/v1/disks/{disk}/config
const url = 'https://api.wabe.sh/v1/disks/demo/config?chunk_bytes=65536';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url 'https://api.wabe.sh/v1/disks/demo/config?chunk_bytes=65536' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Query Parameters
Section titled “Query Parameters”chunk_bytes
required
integer
Example
65536Responses
Section titled “Responses”Updated; empty body.
Invalid input, query, name or source.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Disk not found in this project.
Media typeapplication/json
object
error
required
string
message
required
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string